<template>
  <div class="flex flex-wrap">
    <div
      v-for="item in albums"
      :key="item.key"
      class="w-full sm:w-1/2 md:w-1/3 lg:w-1/3 xl:w-1/3 mb-4"
    >
    <img class="image _bq" :src="item.link" alt="Protest" />
    </div>
  </div>
</template>

<script>
import { mapActions, mapState } from "vuex";

export default {
  name: "Album",
  props: {
    msg: String,
  },
  methods: {
    ...mapActions({
      fetchAllAlbum: "album/fetchAllAlbum",
    }),
  },
  computed: {
    ...mapState({
      albums: (state) => state.album.albums,
    }),
  },
  mounted() {
    this.fetchAllAlbum();
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.image {
  width: 100%;
  padding: 3%;
}
</style>
